
Name:		kpublictransport
Version:    23.08.5
Release:	%mkrel 1
Summary:	Library for reading public transport information
Group:		Graphical desktop/KDE5
License:	GPLv2+
Url:		https://kde.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: pkgconfig(zlib)
BuildRequires: osmctools
BuildRequires: lib64protobuf-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel

Requires: osmctools

%description
Public transport application for Plasma.

%files
%{_kf5_categoriesdir}/org_kde_kpublictransport.*categories
%{_kf5_qmldir}/org/kde/kpublictransport

#-------------------------------------------------------------------------

%define kpublictransport_major 1
%define libkpublictransport %mklibname kpublictransport %{kpublictransport_major}

%package -n %{libkpublictransport}
Summary:	Library for reading public transport information
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libkpublictransport}
Library for reading public transport information.

%files -n %{libkpublictransport}
%{_kf5_libdir}/libKPublicTransport.so.*
/usr/lib64/libKPublicTransportOnboard.so.*
/usr/share/qlogging-categories5/org_kde_kpublictransport_onboard.categories
#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libkpublictransport} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{develname}
%{_includedir}
%{_kf5_libdir}/libKPublicTransport.so
%{_kf5_libdir}/cmake/KPublicTransport/
/usr/lib64/libKPublicTransportOnboard.so
#-------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5
%cmake_build

%install
rm -rf %buildroot
%cmake_install


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

